import request from '@/utils/request'

// 查询广西保税区排名列表
export function listRANK(query) {
  return request({
    url: '/rank/RANK/list',
    method: 'get',
    params: query
  })
}

// 查询广西保税区排名所有列表
export function listAllRANK(query) {
  return request({
    url: '/rank/RANK/listAll',
    method: 'get',
    params: query
  })
}

// 查询广西保税区排名详细
export function getRANK(id) {
  return request({
    url: '/rank/RANK/getInfo/' + id,
    method: 'get'
  })
}

// 新增广西保税区排名
export function addRANK(data) {
  return request({
    url: '/rank/RANK/add',
    method: 'post',
    data: data
  })
}

// 修改广西保税区排名
export function updateRANK(data) {
  return request({
    url: '/rank/RANK/edit',
    method: 'post',
    data: data
  })
}

// 删除广西保税区排名
export function delRANK(id) {
  return request({
    url: '/rank/RANK/remove/' + id,
    method: 'get'
  })
}
